\documentclass[]{article}
\usepackage{url}
%opening
\title{KLU Software project}
\author{Ralf Hannemann-Tam\'{a}s}
\usepackage{amssymb}
\newcommand{\R}{\mathbb{R}}

\begin{document}

\maketitle

\section{Introduction}
KLU is a direct sparse solver for linear systems of type $A\,X = B$, where $A$ is a regular sparse real $n\times n$-matrix, $X$ and $B$ are real (dense) $n \times m$-matrices. KLU is part of the SuiteSparse package (\url{http://faculty.cse.tamu.edu/davis/suitesparse.html})
KLU shall be interfaced to the NIXE integrator, and possibly other integrators. 
\section{Task}
Create a CMakeLists.txt for the use with CMake that
\begin{enumerate}
	\item builds a static or shared library of KLU and dependencies;
	\item builds an example program that uses the library above
	that solves a sparse linear system $A\,X = B$. You can choose a sparse $A$ and a dense $B$ on your own, but take care that 
	$A$ is given in the compressed column storage format. 
\end{enumerate}
For the development, the \emph{jade} repository should be used.
KLU and dependencies can be found in \url{https://svn.avt.rwth-aachen.de/Repositories/jade/trunk/ThirdParty/SuiteSparse}. I'm not sure whether all dependencies are there, if not you should find them on \url{http://faculty.cse.tamu.edu/davis/suitesparse.html}.
Please verify the correctness of the solve: check whether your implementation computes the right $X$, i.e., the matrix-matrix product $A\, X$ should give $B$. The check should be performed in your code and additionally in some other program, e.g., Matlab.
Further reading about direct methods is not required but can be found in \emph{Direct Methods for Sparse Linear Systems} by Timothy A.\ Davis (SIAM, 2006) that should be available from the AVT.SVT library.

\section{By the way}
Good luck! 


\end{document}
